ContractRabbit Docs
API Reference

Participants

Get chat participants

GET
/api/chats/{chatId}/participants

Path Parameters

chatId*string

Response Body

application/json

application/json

application/json

curl -X GET "https://loading/api/chats/string/participants"
null
null
{
  "message": "string"
}

Add chat participant

POST
/api/chats/{chatId}/participants

Path Parameters

chatId*string

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/chats/string/participants"
null
null
null
{
  "message": "string"
}

Remove chat participant

DELETE
/api/chats/{chatId}/participants/{userId}

Path Parameters

chatId*string
userId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://loading/api/chats/string/participants/string"
null
null
null
null
{
  "message": "string"
}